POSTGet Gas Price

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/blockchain/getGasPrice

Retrieves the current Gas Price.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Responses
highstringrequired

Indicates the highest price of the current Gas Price. Provided as a decimal string.

averagestringrequired

Indicates the average price of the current Gas Price. Provided as a decimal string.

lowstringrequired

Indicates the lowest price of the current Gas Price. Provided as a decimal string.

latestBlockstringrequired

Indicates the latest block. Provided as a decimal string.

baseFeestringrequired

Indicates the base fee of the latest block. Provided as a decimal string.

X-API-KEY
RequestCU80
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/blockchain/getGasPrice" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "high": "string",
  "average": "string",
  "low": "string",
  "latestBlock": "string",
  "baseFee": "string"
}